document.addEventListener("DOMContentLoaded", () => {
  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach((anchor) => {
    anchor.addEventListener("click", function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute("href")).scrollIntoView({
        behavior: "smooth",
      });
    });
  });

  // Terminal animation
  const terminal = document.querySelector(".terminal");
  const commands = [
    { command: "$ sit commit Added readme", output: "[2963cb7] Added readme" },
    { command: "$ sit status", output: "0 unstaged change(s)." },
  ];

  let currentCommand = 0;

  function typeCommand() {
    if (currentCommand >= commands.length) currentCommand = 0;

    const cmd = document.createElement("pre");
    cmd.className = "command";
    terminal.appendChild(cmd);

    let i = 0;
    const typing = setInterval(() => {
      cmd.textContent = commands[currentCommand].command.slice(0, i);
      i++;
      if (i > commands[currentCommand].command.length) {
        clearInterval(typing);
        setTimeout(showOutput, 500);
      }
    }, 100);
  }

  function showOutput() {
    const output = document.createElement("pre");
    output.className = "output";
    output.textContent = commands[currentCommand].output;
    terminal.appendChild(output);
    currentCommand++;
    setTimeout(() => {
      if (terminal.children.length > 6) {
        terminal.removeChild(terminal.children[0]);
        terminal.removeChild(terminal.children[0]);
      }
      typeCommand();
    }, 2000);
  }

  typeCommand();
});
